/*   --------------------------------------   To Top   -------------------------  */
.to-top {
    background-color: #373737;
    color: #9f9197;
    z-index: 9999;
    width: 40px;
    height: 40px;
    border-radius: 20px;
    font-size: 25px;
    line-height: 35px;
    text-align: center;
    position: fixed;
    bottom: -100px;
    left: 50%;
    margin-left: -20px;
    cursor: pointer;
    overflow: hidden;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -ms-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}
.to-top:hover {
    background-color: #dc143c;
    color: #ffffff;
}


/*	hhhhhhhhhhhhhhhhhhhhhhh    header	hhhhhhhhhhhh	*/
.headerYaJuu {
    background-color: transparent;
    position: relative;

/*   */
    padding-top: 350px;
    padding-bottom: 40px;





/*  li.active {background-color: rgba(0, 153, 0, 0.50);}  */

/*
li.active {
background-color: rgba(255, 0, 0, 1);
z-index: -100;
}
*/

}


a:link {color: #000000; text-decoration: none;}

/*  a:visited {color: #dc0099;}  */

a:hover {color: pink; text-decoration: underline;}

/*
a:active {color: black;  background-color: yellow;}
*/


/*  ????????????
.sf-menu a {color: green;}
.sf-menu a:hover {color: #ff0000;}
????????????  */



.headerYaJuu.fixed {
    position: fixed;
    top: 0; left: 0; right: 0;
    z-index: -99999;
/*  toa*/
    border: 5px solid #ff00ff;

}

.headerYaJuu.shrink {
    padding-top: 4px;
    padding-bottom: 2px;
    -webkit-transition: all 12.2s ease-in-out;
    background: linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(0,115,230,1) 100%);

    z-index: 99999;

    transition: all 2.2s ease-in-out;
    border: 2px solid #00ff00;
}


.headerYaJuu.shrink li.active {
background-color: rgba(255, 0, 0, 1);
z-index: -100;
}



/* *********************	 Logo	********************	*/
.logo {
    float: left;
    font-size: 20px;
    font-weight: bold;
    margin-top: -30px;
/*
    border: 2px solid #ffccff;
*/

}


.logo a {
z-index: -500;
  opacity: -0.5;
}

/*
.logo a {display: inline-block; line-height: 2em;}
.logo a .logo-fa {color: #eeff11;}
.logo a:hover .logo-fa {color: #112233;}
.logo .fa-stack {width: 54px; height: 62px; line-height: 62px;}
*/


.shrink .logo {margin-top: 0;}
.shrink .logo a {
	line-height: 1em;
	z-index: 500;
  	opacity: 10;
}

/*   
.shrink .logo a .logo-fa {font-size: 15px;}
.shrink .logo .fa-stack {width: 27px; height: 31px; line-height: 31px;}
   */

.shrink .logo img{ height: 34px;}

/*
.logo .fa-stack,
.shrink .logo .fa-stack {
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}
.logo a .logo-fa,
.shrink .logo a .logo-fa {
    -webkit-transition: none;
    transition: none;
}
*/


/* ==============	NavigationYaJuu / superfish skin	================ */
.navigationYaJuu {float: right;}

/* =======	Fixed menu	======= */
.menu-toggle {
    display: none;
    position: fixed;
    padding: 0; margin: 0;
    right: 280px; top: 43px;
    font-size: 30px;
    line-height: 30px;
    border: 2px solid #123456;
    color: #009900 !important;
}


/*  *************    4/30/2024   ficha NavigationYaJuu kabla ya shrink  */
.menu-toggle ul {
	z-index: -500;
  	opacity: -10;
}

.shrink .menu-toggle {
    top: 5px;
}

/* SUPERFISH ESSENTIAL STYLES */
/*  .sf-menu,
.sf-menu * {margin: 0; padding: 0;     border: 2px solid #ffcc00;}
*/

.sf-menu {margin-right: -1em; font-size: 12px; font-weight: 500; text-transform: uppercase;}



.sf-menu li {position: relative;}
.sf-menu ul {position: absolute; display: none; top: 100%; left: 0; z-index: 99;}
.sf-menu > li {float: left; border-radius: 10px;}
.sf-menu li:hover > ul,
.sf-menu li.sfHover > ul {display: block;}
.sf-menu a {display: block; position: relative;}
.sf-menu ul ul {top: 0; left: 100%;}
.sf-menu ul {min-width: 14em; /* submenu width */}

.sf-menu.nav > li > a:hover, /* bs3 reset */
.sf-menu.nav > li > a:focus /* bs3 reset */ {background-color: transparent;}
.sf-menu.nav > li > a, /*bs3 reset */
.sf-menu a {padding: 10px 15px;}

.sf-menu li:hover,
.sf-menu li.sfHover {}
/*
.sf-menu li.active {background-color: rgba(0, 153, 0, 0.30);}
.sf-menu li.active > a {color: #ffffff; }
*/
.sf-menu ul {margin-left: 1em;}
.sf-menu ul ul {margin-left: 0;}
.sf-menu ul li {background: #00bfff;}
.sf-menu ul.sub-menu li{background: #B2B2B2;}
.sf-menu ul{ list-style-type: none!important; padding-left: 0; margin-left: 0;}

/* ARROW DOWN */
.sf-menu.nav > li > a.sf-with-ul, /* bs3 reset */
.sf-arrows .sf-with-ul {padding-right: 2.5em;}
.sf-arrows .sf-with-ul:after {
    content: '';
    position: absolute;
    top: 50%;
    right: 1em;
    margin-top: -1px;
    height: 0;
    width: 0;
    border: 3px solid transparent;
    border-top-color: #9e9e9e;
}
.sf-arrows > li > .sf-with-ul:focus:after,
.sf-arrows > li:hover > .sf-with-ul:after,
.sf-arrows > .sfHover > .sf-with-ul:after {
    border-top-color: #dc143c;
}

/* ARROW RIGHT */
.sf-arrows ul .sf-with-ul:after {
    margin-top: -5px;
    margin-right: -3px;
    border-color: transparent;
    border-left-color: #9e9e9e;
}
.sf-arrows ul li > .sf-with-ul:focus:after,
.sf-arrows ul li:hover > .sf-with-ul:after,
.sf-arrows ul .sfHover > .sf-with-ul:after {
    border-left-color: #dc143c;
}

@media (max-width: 991px) {
    .navigationYaJuu {
        position: fixed;
        right: 0;
        top: 0;
        height: 100%;
        width: 250px;
        background-color: rgba(13, 29, 49, 0.95);
    }
    .navigationYaJuu.closed {right: -250px;}
    .navigationYaJuu.opened {right: 0;}
    .sf-menu {margin-right: 0; padding: 15px 15px 0 15px;}
    .sf-menu > li {float: none;}
    .sf-menu ul {display: block !important; position: relative;}
    .sf-menu ul li {background-color: transparent;}
    .menu-toggle {display: block; z-index: 1;}
    .navigationYaJuu.closed .menu-toggle {right: 15px;}
    .navigationYaJuu.opened .menu-toggle {right: 15px; top: 7px;}
}
